# Toughness Success Calculator (tscalc)

A comprehensive assessment tool to evaluate personal attributes related to toughness, success potential, and personality type.

## Features

- Comprehensive assessment across multiple domains.
- Detailed personality type analysis with strengths and challenges.
- Generate reports in JSON and PDF formats.
- Recommendations for personal and professional growth.
- Insights into success potential and mastery trajectory.

## Installation

```bash
pip install tscalc
```

## Usage

The tool is a CLI-based application. Run the following command to start the assessment:

```bash
tscalc
```
or make a file named tscalc.py or any name of your choosing.
and enter the following lines of code

```bash
from tscalc import take_quiz

take_quiz()
```
then type "python [file name].py" in CMD to execute

Follow the on-screen prompts to complete the assessment. After completing the assessment, you can save the results and export them as a PDF report.


## License

This project is licensed under the MIT License. See the [LICENSE](LICENSE) file for details.
